org.apache.maven.project.path

## Interface PathTranslator

All Known Implementing Classes:
  DefaultPathTranslator

    public interface PathTranslator

Version:
  $Id: PathTranslator.java 495147 2007-01-11 07:47:53Z jvanzyl $
Author:
  Jason van Zyl

### Field Summary

Fields
`static java.lang.String` `ROLE`

### Method Summary

Methods
`void` `alignToBaseDirectory(Model model, java.io.File basedir)`
`void` `unalignFromBaseDirectory(Model model, java.io.File basedir)`

### Field Detail

#### ROLE

    static final java.lang.String ROLE

### Method Detail

#### alignToBaseDirectory

    void alignToBaseDirectory(Model model,
                            java.io.File basedir)

#### unalignFromBaseDirectory

    void unalignFromBaseDirectory(Model model,
                                java.io.File basedir)